//
// Written by Fyodor Menshikov 23.03.2007
// 7:25-7:29
//

import java.io.*;
import java.util.*;

public class Main {

   Scanner in;
   PrintWriter out;

   Main() {
      try {
         Locale.setDefault(Locale.US);
         in = new Scanner(System.in);
         out = new PrintWriter(System.out);
      } catch (Exception e) {
         throw new Error();
      }
   }

   void run() {
      double s1 = in.nextDouble();
      double s2 = in.nextDouble();
      double s3 = in.nextDouble();
      double s = Math.sqrt(s1) + Math.sqrt(s2) + Math.sqrt(s3);
      s = s * s;
      out.printf("%.5f\n", s);
      out.close();
   }

   public static void main(String args[]) {
      new Main().run();
   }
}